Subject: Re: [PATCH net-next] documentation: bring vxlan documentation more up-to-date

From: Stephen Hemminger <[email-masked]>
Date: Tue, 11 Aug 2015 15:09:57 -0700

On Tue, 11 Aug 2015 13:47:16 -0700 (PDT)
[email-masked] (Rick Jones) wrote:

> +  # ip link add vxlan0 type vxlan id 42 group 239.1.1.1 dev eth1
> +
> +This creates a new device named vxlan0.  The device uses the
> +multicast group 239.1.1.1 over eth1 to handle traffic for which there
> +is no entry is in the forwarding table.  The Linux implementation of
> +VXLAN pre-dates the IANA's selection of a standard destination port
> +number and uses the Linux-selected value by default to maintain
> +backwards compatibility.  If you wish to use the IANA-assigned
> +destination port number of 4789 you can add "dstport 4789" to the
> +command line above.

This example should be changed to use "dstport 4789".
Almost anyone reading the documentation will want to use the IANA value.

Note: ip command will give a noisy warning if dstport is not set.